1. guard(1)
3. guard(1)

## NAME

`guard` - Guard keeps an eye on your file modifications.

## DESCRIPTION

Guard is a command line tool to easily handle events on file system modifications.

## SYNOPSIS

`guard <COMMAND> <OPTIONS>`

## COMMANDS

### start

Starts Guard. This is the default command if none is provided.

The following options are available:

`-c`, `--clear` Clears the Shell after each change.

`-n`, `--notify` FLAG Disable notifications (Growl or Libnotify depending on your system). Notifications can be disabled globally by setting a GUARD_NOTIFY environment variable to false. FLAG can be `true`/`false` or `t`/`f`.

`-d`, `--debug` Runs Guard in debug mode.

`-g`, `--group` GROUP1 GROUP2... Scopes the Guard actions to the groups specified by GROUP1, GROUP2, etc. Group names should be separated by spaces. Plugins that don't belong to a group are considered global and are always run.

`-P`, `--plugin` PLUGIN1 PLUGIN2... Scopes the Guard actions to the plugins specified by PLUGIN1, PLUGIN2, etc. Plugin names should be separated by spaces.

`-w`, `--watchdir` PATH Tells Guard to watch PATH instead of `./`.

`-G`, `--guardfile` FILE Tells Guard to use FILE as its Guardfile instead of `./Guardfile` or `~/.Guardfile`.

`-i`, `--no-interactions` Turn off completely any Guard terminal interactions.

`-B`, `--no-bundler-warning` Turn off warning when Bundler is not present.

`--show-deprecations` Turn on deprecation warnings.

`-l`, `--latency` Overwrite Listen's default latency.

`-p`, `--force-polling` Force usage of the Listen polling listener.

### init [GUARDS]

If no Guardfile is present in the current directory, creates an empty Guardfile.

If GUARDS are present, add their default Guardfile configuration to the current Guardfile. Note that GUARDS is a list of the Guard plugin names without the `guard-` prefix. For instance to initialize guard-rspec, run `guard init rspec`.

### list

Lists Guard plugins that can be used with the `init` command.

### -T, show

List defined groups and Guard plugins for the current Guardfile.

### -h, help [COMMAND]

List all of Guard's available commands.

If COMMAND is given, displays a specific help for TASK.

## EXAMPLES

Initialize Guard and a specific Guard plugin at the same time:

`[bundle exec] guard init [rspec]`

Run Guard:

`[bundle exec] guard [start] --watchdir ~/dev --guardfile ~/env/Guardfile --clear --group backend frontend --notify false --debug`

or in a more concise way:

`[bundle exec] guard [start] -w ~/dev -G ~/env/Guardfile -c -g backend frontend -n f -d`

## AUTHORS / CONTRIBUTORS

Thibaud Guillaume-Gentil is the main author.

A list of contributors based on all commits can be found here: https://github.com/guard/guard/contributors

## CHANGELOG

The changelog can be found at: https://github.com/guard/guard/blob/master/CHANGELOG.md

This manual has been written by Remy Coutable.

## WWW

http://guardgem.org/

2. September 2013
3. guard(1)